Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.declarativa.interprolog.util
Class InvisibleObject

    java.lang.Object
      |
      +--com.declarativa.interprolog.util.InvisibleObject

All Implemented Interfaces:
  Serializable

public class InvisibleObject
extends Object
implements Serializable

Instances represent objects which are not serialized to/from Prolog, and that are kept in a table by a Prolog engine

See Also:
  Serialized Form

Constructor Summary
`InvisibleObject(int ID)`

Method Summary
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvisibleObject

    public InvisibleObject(int ID)

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD